Bug 252283 - GRUB breaks on nVidia FakeRAID SATA after adding applications
GRUB breaks on nVidia FakeRAID SATA after adding applications
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
7
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-14 22:24 EDT by David Krings
Modified: 2008-06-16 22:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:09:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Krings 2007-08-14 22:24:09 EDT
Description of problem:
After installing new software from repositories and rebooting machine GRUB no
longer boots correctly and only shows grub> prompt.

Version-Release number of selected component (if applicable):
7

How reproducible:
Using ASUS M2N32-SLI Deluxe with additional Promise Ultra 133TX2 PCI IDE
controller. Boot into system, download updates, reboot - GRUB is broken.

Steps to Reproduce:
1. Use F7 on specified hardware installed on nVidia SATA FakeRAID RAID1 array
2. Apply updates
3. Reboot
  
Actual results:
GRUB denies service and shows only grub> prompt.

Expected results:
Boots as it is supposed to

Additional info:
Cannot specify which package was added as I added several hundred. May have
problems with Promise controller as original install from F7 DVD hangs when HDDs
are present on Promise controller. Detaching IDE cable but keeping controller in
system works fine.
Added apps on 2007-08-12.

Also, boot from DVD does not offer any means of fixing GRUB as no new kernel
components are installed. Having a live system a la Ubuntu will be of huge help
assuming that there is an easy way to reinstall GRUB. Utterly disappointing as
most other OS including Windows can fix an existing install by booting from
install CD/DVD.
Comment 1 Bug Zapper 2008-05-14 09:59:29 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:09:38 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.